<?php

namespace App\Controller;

use App\Entity\Article;
use Symfony\Bridge\Doctrine\Attribute\MapEntity;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

class ViewController extends AbstractController
{
    #[Route('/post/{slug}', name: 'app_view')]
    public function index(
        #[MapEntity(mapping: ['slug' => 'slug'])]
        Article $article
    ): Response
    {
        return $this->render('view/index.html.twig', [
          'article' => $article
        ]);
    }
}
